# GenerateEclipseWtpFacet

API Documentation: | `GenerateEclipseWtpFacet`

Generates the org.eclipse.wst.common.project.facet.core settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseWtpFacet`.

### Properties

Property | Description
`facet` | The Eclipse WTP facet model containing the details required to generate the settings file.
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `EclipseWtpFacet` `facet`

The Eclipse WTP facet model containing the details required to generate the settings file.

Default with `eclipse` and `war` plugins:
  `project.eclipse.wtp.facet`

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.

Default with `eclipse` and `war` plugins:
  ``${project.projectDir}`/.settings/org.eclipse.wst.common.project.facet.core.xml`